package com.ruoyi.project.sems.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TSpecdevDtMapper;
import com.ruoyi.project.sems.domain.TSpecdevDt;
import com.ruoyi.project.sems.service.ITSpecdevDtService;

/**
 * 特种设备电梯台账Service业务层处理
 *
 * @author ruoyi
 * @date 2021-07-26
 */
@Service("tSpecdevDtService")
public class TSpecdevDtServiceImpl implements ITSpecdevDtService
{
    @Autowired
    private TSpecdevDtMapper tSpecdevDtMapper;

    /**
     * 查询特种设备电梯台账
     *
     * @param id 特种设备电梯台账ID
     * @return 特种设备电梯台账
     */
    @Override
    public TSpecdevDt selectTSpecdevDtById(Long id)
    {
        return tSpecdevDtMapper.selectTSpecdevDtById(id);
    }

    /**
     * 查询特种设备电梯台账列表
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 特种设备电梯台账
     */
    @Override
    public List<TSpecdevDt> selectTSpecdevDtList(TSpecdevDt tSpecdevDt)
    {
        return tSpecdevDtMapper.selectTSpecdevDtList(tSpecdevDt);
    }

    @Override
    public List<TSpecdevDt> selectTSpecdevDtListByYear(TSpecdevDt tSpecdevDt) {
        return tSpecdevDtMapper.selectTSpecdevDtListByYear(tSpecdevDt);
    }

    /**
     * 新增特种设备电梯台账
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 结果
     */
    @Override
    public int insertTSpecdevDt(TSpecdevDt tSpecdevDt)
    {
        return tSpecdevDtMapper.insertTSpecdevDt(tSpecdevDt);
    }

    /**
     * 修改特种设备电梯台账
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 结果
     */
    @Override
    public int updateTSpecdevDt(TSpecdevDt tSpecdevDt)
    {
        return tSpecdevDtMapper.updateTSpecdevDt(tSpecdevDt);
    }

    /**
     * 批量删除特种设备电梯台账
     *
     * @param ids 需要删除的特种设备电梯台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevDtByIds(Long[] ids)
    {
        return tSpecdevDtMapper.deleteTSpecdevDtByIds(ids);
    }

    /**
     * 删除特种设备电梯台账信息
     *
     * @param id 特种设备电梯台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevDtById(Long id)
    {
        return tSpecdevDtMapper.deleteTSpecdevDtById(id);
    }

    @Override
    public void duplicateTSpecdevDt() {
        tSpecdevDtMapper.duplicateTSpecdevDt();
    }
}
